Package: rt-tests / 1.0-1

Metadata

Package Version Patches format
rt-tests 1.0-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
install_hwlatdetect_into_sbindir.patch | (download)

Makefile | 13 4 + 9 - 0 !
1 file changed, 4 insertions(+), 9 deletions(-)

 rt-tests: install hwlatdetect directly into $sbindir

The python_lib directory is only for importable modules.  As hwlatdetect
needs root privileges install it into $sbindir.

Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

debian_adapt_errormsg_on_failure_to_open_device.patch | (download)

src/backfire/sendme.c | 6 3 + 3 - 0 !
1 file changed, 3 insertions(+), 3 deletions(-)

---
manpage_pip_stress.patch | (download)

Makefile | 1 1 + 0 - 0 !
src/pi_tests/pip_stress.8 | 25 25 + 0 - 0 !
2 files changed, 26 insertions(+)

 man page for pip_stress

The Debian package checker lintian criticizes that pip_stress doesn't have a
man page. So put a short version of the description from the source file
into a man page to make lintian happy.

Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

debian_has_recent_glibc.patch | (download)

Makefile | 3 1 + 2 - 0 !
src/include/rt-get_cpu.h | 19 1 + 18 - 0 !
src/lib/rt-get_cpu.c | 27 0 + 27 - 0 !
3 files changed, 2 insertions(+), 47 deletions(-)

 remove cruft needed to build on glibc < 2.6

All Debian platforms (but m68k which doesn't matter much) use a glibc >= 2.6.

This fixes a (harmless) build warning

	dpkg-shlibdeps: warning: dependency on libdl.so.2 could be avoided if "debian/rt-tests/usr/bin/svsematest debian/rt-tests/usr/bin/pmqtest debian/rt-tests/usr/bin/sendme debian/rt-tests/usr/bin/sigwaittest debian/rt-tests/usr/bin/ptsematest" were not uselessly linked against it (they use none of its symbols).

fix_comment_about_realtime_group.patch | (download)

src/lib/rt-utils.c | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 don't reference non-standard realtime group

There is no dedicated realtime group in most distributions. So make the
error message a bit more understandable for people not running Redhat
MRG.

Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
backfire fix build failure for modern kernels.patch | (download)

src/backfire/backfire.c | 4 1 + 3 - 0 !
1 file changed, 1 insertion(+), 3 deletions(-)

 backfire: fix build failure for modern kernels

SPIN_LOCK_UNLOCKED doesn't work any more since v2.6.39-rc1~511^2~11
(locking: Remove deprecated lock initializers). DEFINE_SPINLOCK is
available since v2.6.14-rc1~223, so it should be ok to depend on that.
<linux/smp_lock.h> is gone since v2.6.39-rc1~467^2. Also <asm/system.h>
is gone for most architectures since v3.4-rc1~54^2.

The module builds fine for Debian's 2.6.32 and 3.6 kernels with this
change.

Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

install_manpage_rt migrate test.patch | (download)

Makefile | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 rt-tests: makefile: add missing install of rt-migrate-test.8 man page

Add missing install of rt-migrate-test.8 man page

Signed-off-by: John Kacur <jkacur@redhat.com>